package nl.voidcorp.adminplugin

import org.bukkit.ChatColor
import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.player.PlayerJoinEvent


class VoidEvents(private val config: AdminConfig) : Listener {

    @EventHandler
    fun onJoin(evt: PlayerJoinEvent) {
        evt.joinMessage =
            "Hello ${ChatColor.BLUE}${evt.player.displayName}${ChatColor.RESET}, and welcome to ${ChatColor.BOLD}${config.serverName}${ChatColor.RESET}!"
    }

}