package nl.voidcorp.adminplugin.commands

import nl.voidcorp.mainplugin.commands.VoidCommand
import org.bukkit.attribute.Attribute
import org.bukkit.command.Command
import org.bukkit.command.CommandSender
import org.bukkit.entity.Player

class HealCommand : VoidCommand() {
    override fun onCommand(sender: CommandSender, command: Command, label: String, args: Array<out String>): Boolean {
        if (!sender.hasPermission("voidplugin.heal")) return false
        if (sender is Player) {
            sender.health = sender.getAttribute(Attribute.GENERIC_MAX_HEALTH)!!.value
            sender.saturation = 20f
            sender.foodLevel = 20
            sender.sendMessage("All better now")
        }
        return true
    }
}