package nl.voidcorp.teleportplugin.models

import org.jetbrains.exposed.dao.EntityID
import org.jetbrains.exposed.dao.IntEntity
import org.jetbrains.exposed.dao.IntEntityClass

class TpRequest(id: EntityID<Int>) : IntEntity(id) {
    companion object : IntEntityClass<TpRequest>(TpRequests)

    var to by TpRequests.to
    var from by TpRequests.from
    var timeout by TpRequests.timeout
    var here by TpRequests.here
}