package nl.voidcorp.teleportplugin.models

import org.jetbrains.exposed.dao.IntIdTable

object Warps : IntIdTable() {
    val world = uuid("world")
    val x = double("x")
    val y = double("y")
    val z = double("z")
    val pitch = float("pitch")
    val yaw = float("yaw")
    val name = varchar("name", 50).uniqueIndex()
}