package nl.voidcorp.bankplugin.commands

import nl.voidcorp.bankplugin.models.Bank
import nl.voidcorp.bankplugin.models.Banks
import nl.voidcorp.mainplugin.commands.VoidCommand
import org.bukkit.command.Command
import org.bukkit.command.CommandSender
import org.bukkit.entity.Player
import org.jetbrains.exposed.sql.transactions.transaction

class CheckCashCommand : VoidCommand() {
    override fun onCommand(sender: CommandSender, command: Command, label: String, args: Array<out String>): Boolean {
        if (sender is Player) {
            transaction {
                val bank = Bank.find { Banks.player eq sender.uniqueId }.firstOrNull() ?: Bank.new {
                    player = sender.uniqueId
                }
                sender.sendMessage("You have ${bank.money} EC in you account")
            }
        }
        return true
    }
}