package nl.voidcorp.mainplugin

import com.squareup.moshi.JsonAdapter
import com.squareup.moshi.Moshi
import com.squareup.moshi.kotlin.reflect.KotlinJsonAdapterFactory

val moshi: Moshi = Moshi.Builder().add(KotlinJsonAdapterFactory()).build()

inline fun <reified T> Moshi.adapter(): JsonAdapter<T> = this.adapter(T::class.java).indent("    ")