package nl.voidcorp.teleportplugin.models

import org.jetbrains.exposed.dao.IntIdTable

object TeleportLocations : IntIdTable() {
    val player = uuid("player").uniqueIndex()
    val x = double("x")
    val y = double("y")
    val z = double("z")
    val world = uuid("world")
    val pitch = float("pitch").default(0.0f)
    val yaw = float("yaw").default(0.0f)
}