package nl.voidcorp.teleportplugin.models

import org.jetbrains.exposed.dao.IntIdTable
import org.joda.time.DateTime

object TpRequests : IntIdTable() {
    val from = uuid("from")
    val to = uuid("to")
    val here = bool("here").default(false)
    val timeout = datetime("timeout").clientDefault { DateTime.now().plusSeconds(30) }
}