package nl.voidcorp.utilsplugin

import org.jetbrains.exposed.dao.EntityID
import org.jetbrains.exposed.dao.IntEntity
import org.jetbrains.exposed.dao.IntEntityClass
import org.jetbrains.exposed.dao.IntIdTable

object NickTable : IntIdTable() {
    val userid = uuid("userid").uniqueIndex()
    val nickname = varchar("nickname", 50)
}

class Nick(id: EntityID<Int>) : IntEntity(id) {
    companion object : IntEntityClass<Nick>(NickTable)

    var userid by NickTable.userid
    var nickname by NickTable.nickname
}